Bug 215207 - ruby not enabled by default (build configure issue)
ruby not enabled by default (build configure issue)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
7
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 06:33 EST by Scott Mathieson
Modified: 2008-05-19 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 11:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Mathieson 2006-11-12 06:33:30 EST
Description of problem:
ruby is not enabled by default (build configure issue)


Version-Release number of selected component (if applicable):
2:7.0.109-3


How reproducible:
infinitely


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
ruby should be enabled - python and perl are by default, previous versions have
ruby enabled

Additional info:
Comment 1 Thomas Nitsche 2007-02-08 03:10:48 EST
This issue still exists in release 7.0.191. As a workaround you can install the
vim source rpm and rebuild it by adding --enable-rubyinterp (2x I think) in
SPECS/vim.spec
Comment 2 Till Maas 2008-01-06 08:37:19 EST
still an issue with Fedora 7 (and rawhide, possible also Fedora 8)
Comment 3 Karsten Hopp 2008-02-25 11:00:07 EST
fixed in 7.1-262
Comment 4 Thomas Nitsche 2008-05-19 16:38:22 EDT
I'm a little confused: when I type :version in my fresh installed 7.1.291, I get

VIM - Vi IMproved 7.1 (2007 May 12, compiled Apr  3 2008 08:38:22)
Included patches: 1-291
Modified by <bugzilla@redhat.com>
Compiled by <bugzilla@redhat.com>
Huge version without GUI.  Features included (+) or not (-):
+arabic +autocmd -balloon_eval -browse ++builtin_terms +byte_offset +cindent
-clientserver -clipboard +cmdline_compl +cmdline_hist +cmdline_info +comments 
+cryptv +cscope +cursorshape +dialog_con +diff +digraphs -dnd -ebcdic
+emacs_tags +eval +ex_extra +extra_search +farsi +file_in_path +find_in_path
+folding 
-footer +fork() +gettext -hangul_input +iconv +insert_expand +jumplist +keymap
+langmap +libcall +linebreak +lispindent +listcmds +localmap +menu +mksession 
+modify_fname +mouse -mouseshape +mouse_dec +mouse_gpm -mouse_jsbterm
+mouse_netterm +mouse_xterm +multi_byte +multi_lang -mzscheme -netbeans_intg 
-osfiletype +path_extra +perl +postscript +printer +profile +python +quickfix
+reltime +rightleft -ruby +scrollbind +signs +smartindent -sniff +statusline 
-sun_workshop +syntax +tag_binary +tag_old_static -tag_any_white -tcl +terminfo
+termresponse +textobjects +title -toolbar +user_commands +vertsplit 
+virtualedit +visual +visualextra +viminfo +vreplace +wildignore +wildmenu
+windows +writebackup -X11 -xfontset -xim -xsmp -xterm_clipboard -xterm_save 
   system vimrc file: "/etc/vimrc"
     user vimrc file: "$HOME/.vimrc"
      user exrc file: "$HOME/.exrc"
  fall-back for $VIM: "/usr/share/vim"
Compilation: gcc -c -I. -Iproto -DHAVE_CONFIG_H     -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -
march=i386 -mtune=generic -fasynchronous-unwind-tables -D_GNU_SOURCE
-D_FILE_OFFSET_BITS=64 -D_FORTIFY_SOURCE=2    -D_REENTRANT -D_GNU_SOURCE
-DDEBUGGING  -I/
usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/gdbm
 -I/usr/lib/perl5/5.10.0/i386-linux-thread-multi/CORE  -I/usr/include/python2
.5 -pthread   
Linking: gcc   -Wl,-E
-Wl,-rpath,/usr/lib/perl5/5.10.0/i386-linux-thread-multi/CORE   -L/usr/local/lib
-o vim       -lselinux  -lncurses -lacl -lgpm   -Wl,-E 
-Wl,-rpath,/usr/lib/perl5/5.10.0/i386-linux-thread-multi/CORE  -L/usr/local/lib
 -L/usr/lib/perl5/5.10.0/i386-linux-thread-multi/CORE -lperl -lresolv -lutil -
lc -L/usr/lib/python2.5/config -lpython2.5 -lutil -lm -Xlinker -export-dynamic   

When I download the source rpm and build the rpm without any changes, Ruby  is
enabled. So what's the glue.

Note You need to log in before you can comment on or make changes to this bug.